.block-block {position: relative;}




/* 
SLIDESHOW
*/
.b-slideshow {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    row-gap: var(--size-xs);
}

.b_slideshow-button {
    width: fit-content;
    max-width: 100vw;
    height: var(--size-l);
    max-height: fit-content;
    margin-left: var(--size);
    transition: 1000ms;
}

.b_slideshow-button.--active {
    height: 50dvh !important;
    max-height: fit-content !important;
    margin-left: 0;
}

.b_slideshow-media {
    width: auto;
    max-width: 100%;
    height: 100%;
}

@media only screen and (min-width: 1096px) {
    .b-slideshow {
        align-items: flex-end;
        flex-direction: row;
        column-gap: var(--size-xs);
        row-gap: unset;
    }

    .b_slideshow-button {
        width: var(--size-xxl);
        max-width: 50vw;
        height: fit-content;
        max-height: 100dvh;
        margin-left: 0;
    }

    .b_slideshow-button.--active {
        width: 50% !important;
        max-width: fit-content !important;
        height: unset !important;
    }

    .b_slideshow-media {
        width: 100%;
        height: auto;
        max-width: fit-content !important;
        max-height: 100dvh;
    }
}




/* 
FULL
*/
.b_full-container {z-index: 5;}

.b_full-media {z-index: 2;}
.b_full-media.--active {z-index: 10;}

.b_full-thumbnails {
    left: var(--size);
    bottom: var(--size);
    gap: var(--size);
    z-index: 10;
}

.b_full-thumbnail {width: var(--size-l);}

.b_full-thumb-media {transition: opacity 1000ms;}
.b_full-thumbnail:not(.--active) .b_full-thumb-media {opacity: .5;}





/* 
VIDEO
*/
body[data-template="project"] .b-video {aspect-ratio: 16/9;}
@media only screen and (min-width: 1096px) {
    .b-video {aspect-ratio: unset;}
}

.b-video[data-view="full"] video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.b-video[data-view="fit"] video {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.b_video-controls-wrap {
    right: 0;
    bottom: 0;
    left: 0;
}

.b_video-controls {
    left: var(--size);
    bottom: 0;
    column-gap: var(--size);
    transition: 1000ms;
    z-index: 120;
}




/* 
EMBED
*/
.b-embed iframe {
    width: 100vw;
    aspect-ratio: 16/9;
}




/* 
INFO
*/
.b_info {
    bottom: 0;
    right: var(--size);
    z-index: 100;
}

.b_info .--top {
    width: calc(calc(calc(calc(100vw - calc(var(--size) * 7)) / 6) * 3) + calc(2 * var(--size)));
    transition: 1000ms;
}

.b_info .--icon-cont {margin-right: var(--size);}
.b_info .--icon {
    width: auto;
    height: 10px;
    transition: 1000ms;
}
.b_info[data-status="open"] .--icon {rotate: 45deg;}

.b_info .--description {
    margin-top: -1px;
    width: calc(100vw - calc(var(--size) * 2));
    transition: 1000ms;
}
.b_info[data-status="close"] .--description {height: 0;}

@media only screen and (min-width: 768px) {
    .b_info .--top {width: calc(calc(calc(calc(100vw - calc(var(--size) * 7)) / 6) * 2) + calc(1 * var(--size)));}
    .b_info .--description {width: calc(calc(calc(calc(100vw - calc(var(--size) * 7)) / 6) * 4) + calc(3 * var(--size)));}
}

@media only screen and (min-width: 1096px) {
    .b_info .--top {width: calc(calc(calc(calc(100vw - calc(var(--size) * 11)) / 10) * 2) + calc(1 * var(--size)));}
    .b_info .--description {width: calc(calc(calc(calc(100vw - calc(var(--size) * 11)) / 10) * 3) + calc(2 * var(--size)));}
}